#!/bin/bash
WATCHAPP="$1"
CMD1="$2"
CMD2="$3"
CURRPATH="$(dirname "$0")"

WATCHCMD="watch-workspace-notes"

"${CURRPATH}/${WATCHCMD}" NSWorkspaceDidLaunchApplicationNotification NSWorkspaceDidTerminateApplicationNotification <&- |
while read note args; do
    case $note in
    	NSWorkspaceDidLaunchApplicationNotification)
            date +"# %F %T: $note"

            if [ ! -z "$(echo "$args" | grep "NSApplicationPath = \"${WATCHAPP}\"")" ]; then
                echo "$(echo "$args" | grep "NSApplicationPath = \"${WATCHAPP}\"")"
                echo "${CMD2}" | sh
                ps -e -o uid,pid,command | grep -v grep | grep "$(id -u) " | grep "${WATCHCMD}" | awk '{ print $2 }' | xargs kill -9
            fi
            ;;
        NSWorkspaceDidTerminateApplicationNotification)
            date +"# %F %T: $note" 
                
            if [ ! -z "$(echo $args | grep -E "NSApplicationPath = \"/.*$(basename "${WATCHAPP}")\"")" ]; then
                echo "$(echo $args | grep -E "NSApplicationPath = \"/.*$(basename "${WATCHAPP}")\"")"
                echo "${CMD1}" | sh
            fi
            ;;
        *)
            date +"# %F %T: $note"
            ;;
    esac
done
